CONV(1)

NAME
bindechexascii - converts ASCII, binary, decimal, hexadecimal and prints results on the in screen

SYNOPSIS
bindechexascii [options] arg1 arg2 arg3

DESCRIPTION
bindechexascii is a program that converts the argument from standard input to the numbering system or character set (ASCII) specified in the option and prints the result on the screen. That way you can perform the following conversion: binary to decimal, binary to hex, binary to ASCII, decimal to binary, decimal to hex, decimal to ASCII, hex to binary, hex to decimal, hex to ASCII, ASCII to binary, ASCII to decimal, ASCII to hex.

OPTIONS

-h, --help
    Print this help

-i, --info
    Print information about program

--b2d
    Binary to decimal

--b2h
    Binary to hexadecimal

--b2a
    Binary to ASCII

--d2b
    Decimal to binary

--d2h
    Decimal to hexadecimal

--d2a
    Decimal to ASCII

--h2b
    Hexadecimal to binary

--h2d
    Hexadecimal to decimal

--h2a
    Hexadecimal to ASCII

--a2b
    ASCII to binary

--a2d
    ASCII to decimal

--a2h
    ASCII to hexadecimal

EXAMPLES

To convert the number 1000111 from binary to decimal:

       bindechexascii --b2d 1000111

To convert the number 50 from decimal to binary:

       bindechexascii --d2b 50

To convert the number 3F from hexadecimal to binary:

       bindechexascii --h2b 3F

To convert the caractere 'a' from ASCII to binary:

       bindechexascii --a2b a

AUTHOR
The bindechexascii was written by Leonid Plyushch <leonid.x212@gmail.com>. This manual page was written by Marcio de Souza Oliveira <m.desouza20@gmail.com> for the Debian project (but may be used by others).